Accept Single Record Workflow Task
Accept an available task for a workflow configured for a single record. If the task is available to multiple users, any one of the assigned users can accept the task. To undo your acceptance of an available workflow task, use Undo Workflow Task Acceptance.
Vault may prevent you from accepting a task if you've already accepted, assigned, or completed another task, or have a restricted role.
POST
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/acceptHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/tasks/9626/actions/acceptResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault accepts the available workflow task on behalf of the authenticated user.